//----------------------------------------------------------------------------
//  Project Test_At3dx_Dll
//  MicroMouse Productions
//  Copyright  1999-2020. All Rights Reserved.
//  Author: Wayne Hogue
//---------------------------------------------------------------------------

#ifndef Test_At3dx_DllAppH
#define Test_At3dx_DllAppH
//---------------------------------------------------------------------------
#include <System.Classes.hpp>
#include <Vcl.Controls.hpp>
#include <Vcl.StdCtrls.hpp>
#include <Vcl.Forms.hpp>
#include <Vcl.ExtCtrls.hpp>
#include <Vcl.ComCtrls.hpp>
#include <Vcl.Buttons.hpp>
//---------------------------------------------------------------------------
class TTest_At3dx_DllForm : public TForm
{
__published:	// IDE-managed Components
  TPanel *ViewPanel;
  TPageControl *PageControl1;
  TTabSheet *ReadSheet;
  TTabSheet *WriteSheet;
  TTabSheet *ViewSheet;
  TTabSheet *AlignSheet;
  TTabSheet *BitmapSheet;
  TTabSheet *Convert1Sheet;
  TTabSheet *DefaultSheet;
  TTabSheet *DemSheet;
  TTabSheet *EditSheet;
  TTabSheet *Extrude2DSheet;
  TTabSheet *KerkytheaSheet;
  TTabSheet *KmlSheet;
  TTabSheet *ObjectSheet;
  TTabSheet *TextSheet;
  TTabSheet *TransferSheet;
  TTabSheet *XyzSheet;
  TGroupBox *GroupBox1;
  TComboBox *InCombo;
  TCheckBox *RemoveVertices;
  TCheckBox *RemoveFaces;
  TCheckBox *ShowReadMessages;
  TCheckBox *TextureSearch;
  TCheckBox *TextureMatch;
  TCheckBox *VrmlByChiefArchitect;
  TCheckBox *ShowDebugStopMessages;
  TCheckBox *CheckFixTransparencies;
  TCheckBox *KmzInputModelFactors;
  TCheckBox *VrmlMiterJointExtrusion;
  TGroupBox *GroupBox2;
  TRadioButton *DxfTextNo;
  TRadioButton *DxfTextFlat;
  TRadioButton *DxfTextExtruded;
  TGroupBox *GroupBox3;
  TRadioButton *VrmlTextNo;
  TRadioButton *VrmlTextFlat;
  TRadioButton *VrmlTextExtruded;
  TSpeedButton *Read;
  TSpeedButton *BufferRead;
  TSpeedButton *ReadAndRotate;
  TPanel *Panel1;
  TLabel *Label1;
  TEdit *Red;
  TEdit *Green;
  TEdit *Blue;
  TSpeedButton *ColorPicker;
  TSpeedButton *GetDxfPen;
  TLabel *Label2;
  TEdit *DxfPen;
  TEdit *DxfRed;
  TEdit *DxfGreen;
  TEdit *DxfBlue;
  TLabel *Label3;
  TSpeedButton *ShowSecurity;
  TGroupBox *GroupBox4;
  TCheckBox *DisplayBackgroundImage;
  TSpeedButton *SelectBackgroundImage;
  TCheckBox *GrabKeyboardFocus;
  TCheckBox *AlwaysShowCameraCursor;
  TGroupBox *GroupBox5;
  TCheckBox *DisplayOglDebugMsgs;
  TCheckBox *PauseAtOglSnapshotMsg;
  TSpeedButton *ShowStatusbar;
  TSpeedButton *HideStatusbar;
  TGroupBox *GroupBox6;
  TLabel *Label4;
  TLabel *Label5;
  TLabel *Label6;
  TEdit *RevolveCameraX;
  TEdit *RevolveCameraY;
  TEdit *RevolveCameraZ;
  TEdit *RevolveCameraSeconds;
  TLabel *Label7;
  TSpeedButton *RevolveCameraStart;
  TSpeedButton *RevolveCameraStop;
  TGroupBox *GroupBox7;
  TLabel *Label8;
  TEdit *RotateCameraSimulateX;
  TEdit *RotateCameraSimulateY;
  TEdit *RotateCameraSimulateSeconds;
  TLabel *Label9;
  TLabel *Label10;
  TSpeedButton *RotateCameraSimulateStart;
  TSpeedButton *RotateCameraSimulateStop;
  TGroupBox *GroupBox8;
  TComboBox *OutCombo;
  TCheckBox *OutputAvatar;
  TCheckBox *OutputHierarchy;
  TCheckBox *OneLayerPerFile;
  TCheckBox *MultiMaterial;
  TCheckBox *OutputQuads;
  TCheckBox *OutputUV;
  TCheckBox *OutputVNormals;
  TCheckBox *OutputVColors;
  TCheckBox *SavePointClouds;
  TCheckBox *Save2DLines;
  TCheckBox *ShowSaveMessages;
  TCheckBox *RelocateTextures;
  TCheckBox *SaveTexturePath;
  TCheckBox *PartialTexturePath;
  TCheckBox *AutoDivideLayers;
  TCheckBox *NoIndent;
  TCheckBox *TextAsText;
  TCheckBox *AlwaysWriteColladaTransparency;
  TSpeedButton *MergeVertices;
  TSpeedButton *MergeObjects;
  TSpeedButton *MergeMaterials;
  TSpeedButton *SetWhiteForUvLayers;
  TGroupBox *GroupBox9;
  TRadioButton *Mesh3dmf;
  TRadioButton *TriMesh3dmf;
  TRadioButton *Triangle3dmf;
  TRadioButton *Quad3dmf;
  TGroupBox *GroupBox10;
  TRadioButton *TdmfPixel16;
  TRadioButton *TdmfPixel24;
  TRadioButton *TdmfPixel32;
  TLabel *Label11;
  TGroupBox *GroupBox11;
  TRadioButton *DemSeaLevel0;
  TRadioButton *DemSeaLevel1;
  TRadioButton *DemSeaLevel2;
  TLabel *Label12;
  TLabel *Label13;
  TEdit *DemBelowFactor;
  TEdit *DemAboveFactor;
  TSpeedButton *WriteDemContourMap;
  TGroupBox *GroupBox12;
  TEdit *MayaVersion;
  TSpeedButton *SetMayaVersion;
  TGroupBox *GroupBox13;
  TCheckBox *ModoCameraSunlight;
  TCheckBox *ModoHierarchy;
  TCheckBox *ModoWithJoints;
  TGroupBox *GroupBox14;
  TRadioButton *ColladaUpAxisX;
  TRadioButton *ColladaUpAxisY;
  TRadioButton *ColladaUpAxisZ;
  TSpeedButton *Convert3D_To_2D;
  TSpeedButton *Write;
  TSpeedButton *BufferWrite;
  TSpeedButton *Clear;
  TSpeedButton *DeleteLayer;
  TGroupBox *GroupBox15;
  TCheckBox *UseDirectxFramePrefix;
  TCheckBox *UseDirectxMaterialPrefix;
  TEdit *DirectxFramePrefix;
  TEdit *DirectxMaterialPrefix;
  TSpeedButton *SetDirectxFramePrefix;
  TSpeedButton *SetDirectxMaterialPrefix;
  TGroupBox *GroupBox16;
  TEdit *NewEmbeddedName;
  TSpeedButton *RenameEmbeddedTextures;
  TGroupBox *GroupBox17;
  TSpeedButton *ShowWindow;
  TSpeedButton *SizeWindow1;
  TSpeedButton *MoveWindow1;
  TSpeedButton *OnTopYes;
  TSpeedButton *UseWires;
  TSpeedButton *Parallel;
  TSpeedButton *XYZOn;
  TSpeedButton *MakeQuads;
  TSpeedButton *ShowQuads;
  TSpeedButton *DepthBufferOn;
  TSpeedButton *MakeSmooth1;
  TSpeedButton *MakeSmooth2;
  TSpeedButton *InvertAllLayerTransparencies;
  TSpeedButton *EraseSmooth2;
  TSpeedButton *EraseSmooth1;
  TSpeedButton *DepthBufferOff;
  TSpeedButton *MakeAllLayersOpaque;
  TSpeedButton *HideQuads;
  TSpeedButton *DeleteQuads;
  TSpeedButton *XYZOff;
  TSpeedButton *Perspective;
  TSpeedButton *UseBBox;
  TSpeedButton *OnTopNo;
  TSpeedButton *MoveWindow2;
  TSpeedButton *SizeWindow2;
  TSpeedButton *HideWindow;
  TSpeedButton *UnparentWindow;
  TSpeedButton *ParentWindow;
  TLabel *Label14;
  TEdit *TriQuadNormalAngle;
  TEdit *TriQuadEdgeAngle;
  TCheckBox *UseFilmstrip;
  TCheckBox *FilmstripTimer;
  TGroupBox *GroupBox18;
  TCheckBox *UseOpenGL;
  TCheckBox *TwoSidedLighting;
  TCheckBox *CullBackFaces;
  TCheckBox *DisplayTextures;
  TCheckBox *DefaultTexture;
  TCheckBox *OglReplace;
  TCheckBox *UseWhiteBase;
  TComboBox *RenderCombo;
  TSpeedButton *OglLightsMaterials;
  TGroupBox *GroupBox19;
  TEdit *CameraXViewpoint;
  TEdit *CameraYViewpoint;
  TEdit *CameraZViewpoint;
  TSpeedButton *GetCameraViewpoint;
  TSpeedButton *SetCameraViewpoint;
  TGroupBox *GroupBox20;
  TSpeedButton *GetCameraAngles;
  TEdit *CameraXAngle;
  TEdit *CameraYAngle;
  TEdit *CameraZAngle;
  TSpeedButton *SetCameraAngles;
  TLabel *Label15;
  TEdit *CameraRotateSpeed;
  TSpeedButton *SetCameraRotateSpeed1;
  TSpeedButton *SetCameraRotateSpeed2;
  TSpeedButton *SetCameraXAngle1;
  TSpeedButton *SetCameraYAngle1;
  TSpeedButton *SetCameraZAngle1;
  TSpeedButton *SetCameraXAngle2;
  TSpeedButton *SetCameraYAngle2;
  TSpeedButton *SetCameraZAngle2;
  TEdit *CameraStepAngle;
  TGroupBox *GroupBox21;
  TEdit *CameraXPan;
  TEdit *CameraZPan;
  TSpeedButton *SetCameraPan;
  TSpeedButton *SetCameraXPan1;
  TSpeedButton *SetCameraZPan1;
  TSpeedButton *SetCameraXPan2;
  TSpeedButton *SetCameraZPan2;
  TEdit *CameraStepPan;
  TCheckBox *ReversePanDirection;
  TSpeedButton *ViewCenterX;
  TSpeedButton *ViewCenterZ;
  TGroupBox *GroupBox22;
  TLabel *Label16;
  TLabel *Label17;
  TLabel *Label18;
  TSpeedButton *GetCameraInitialDistance;
  TSpeedButton *GetCameraDistance;
  TSpeedButton *GetCameraZoomSpeed;
  TEdit *CameraInitialDistance;
  TEdit *CameraDistance;
  TEdit *CameraZoomSpeed;
  TSpeedButton *SetCameraInitialDistance;
  TSpeedButton *SetCameraDistance;
  TSpeedButton *SetCameraZoomSpeed1;
  TSpeedButton *SetCameraZoomSpeed2;
  TSpeedButton *SetCameraZoomSpeed3;
  TSpeedButton *SetCameraZoomSpeed4;
  TSpeedButton *SetCameraZoomSpeed5;
  TSpeedButton *SetCameraZoomSpeed6;
  TSpeedButton *ZoomIn;
  TSpeedButton *ZoomOut;
  TSpeedButton *ZoomReset;
  TLabel *Label19;
  TCheckBox *ReverseZoomDirection;
  TGroupBox *GroupBox23;
  TSpeedButton *ViewTop;
  TSpeedButton *ViewBack;
  TSpeedButton *ViewLeft;
  TSpeedButton *ViewFront;
  TSpeedButton *ViewRight;
  TSpeedButton *ViewSolid;
  TSpeedButton *ViewBottom;
  TSpeedButton *ViewShaded;
  TSpeedButton *DrawWireframe;
  TCheckBox *HiddenWireframe;
  TGroupBox *GroupBox24;
  TSpeedButton *GetCameraFieldOfView;
  TEdit *CameraFieldOfView;
  TSpeedButton *SetCameraFieldOfView;
  TSpeedButton *SetCameraFOV1;
  TEdit *CameraStepFOV;
  TSpeedButton *SetCameraFOV2;
  TGroupBox *GroupBox25;
  TLabel *Label20;
  TLabel *Label21;
  TLabel *Label22;
  TLabel *Label23;
  TLabel *Label24;
  TEdit *StageGridSpacing;
  TEdit *StageWidth;
  TEdit *StageDepth;
  TEdit *StageOriginX;
  TEdit *StageOriginY;
  TCheckBox *DisplayStage;
  TCheckBox *StageUseOrigin;
  TCheckBox *StageUseSquares;
  TCheckBox *StageUseTexture;
  TSpeedButton *GetStageImage;
  TSpeedButton *ChangeStage;
  TGroupBox *GroupBox26;
  TCheckBox *AlignShowAll;
  TCheckBox *AlignFlipOne;
  TEdit *AlignName;
  TSpeedButton *AlignActivate;
  TSpeedButton *PresetNormals;
  TSpeedButton *SetAlignLayer;
  TSpeedButton *DoLayerFlip;
  TGroupBox *GroupBox27;
  TGroupBox *GroupBox28;
  TGroupBox *GroupBox29;
  TCheckBox *BitmapTo3D_SkipDlg;
  TCheckBox *BitmapTo3D_Decode0;
  TCheckBox *BitmapTo3D_SaveOutlines;
  TCheckBox *BitmapTo3D_JoinOutlines;
  TCheckBox *BitmapTo3D_AddFaces;
  TCheckBox *BitmapTo3D_Extrude;
  TEdit *BitmapTo3D_ExtrudeHeight;
  TLabel *Label25;
  TCheckBox *BitmapToDem_SkipDlg;
  TCheckBox *BitmapToDem_SeaLevel;
  TEdit *BitmapToDem_Multiplier1;
  TEdit *BitmapToDem_Multiplier2;
  TEdit *BitmapToDem_MinHeight;
  TEdit *BitmapToDem_Spacing;
  TLabel *Label26;
  TLabel *Label27;
  TLabel *Label28;
  TLabel *Label29;
  TPanel *TempSnapshotPanel;
  TSpeedButton *GetOglSnapshot;
  TGroupBox *GroupBox30;
  TGroupBox *GroupBox31;
  TGroupBox *GroupBox32;
  TGroupBox *GroupBox33;
  TGroupBox *GroupBox34;
  TGroupBox *GroupBox35;
  TGroupBox *GroupBox36;
  TCheckBox *Convert1_WriteXYZ;
  TSpeedButton *Convert1_MeshToLandscape;
  TEdit *Convert1_MinX;
  TEdit *Convert1_MaxX;
  TEdit *Convert1_MinY;
  TEdit *Convert1_MaxY;
  TEdit *Convert1_MinZ;
  TEdit *Convert1_MaxZ;
  TLabel *Label30;
  TLabel *Label31;
  TLabel *Label32;
  TSpeedButton *Convert1_GetSize;
  TSpeedButton *Convert1_Calculate;
  TEdit *Convert1_SizeX;
  TEdit *Convert1_SizeY;
  TEdit *Convert1_SizeZ;
  TLabel *Label33;
  TLabel *Label34;
  TLabel *Label35;
  TEdit *Convert1_XSpacing;
  TEdit *Convert1_YSpacing;
  TLabel *Label36;
  TLabel *Label37;
  TLabel *Label38;
  TLabel *Label39;
  TEdit *Convert1_NewSizeX;
  TEdit *Convert1_NewSizeY;
  TLabel *Label40;
  TEdit *Convert1_XCount;
  TEdit *Convert1_YCount;
  TEdit *Convert1_VertCount;
  TLabel *Label41;
  TLabel *Label42;
  TCheckBox *Convert1_FlagStretchX;
  TCheckBox *Convert1_FlagStretchY;
  TEdit *Convert1_EditStretchX;
  TEdit *Convert1_EditStretchY;
  TRadioButton *Convert1_KeepOriginal;
  TCheckBox *Convert1_AddPointCloud;
  TRadioButton *Convert1_Landscape;
  TRadioButton *Convert1_Mesh;
  TEdit *Convert1_MeshVertices;
  TEdit *Convert1_MeshEdges;
  TEdit *Convert1_MeshTriangles;
  TEdit *Convert1_DropElevation;
  TEdit *Convert1_BaseThickness;
  TCheckBox *Convert1_DropFaces;
  TCheckBox *Convert1_AddBase;
  TCheckBox *Convert1_AddUV;
  TLabel *Label43;
  TLabel *Label44;
  TLabel *Label45;
  TSpeedButton *GetDefaultMaterials;
  TSpeedButton *ClearDefaultMaterials;
  TEdit *AmbientRed;
  TEdit *AmbientGreen;
  TEdit *AmbientBlue;
  TEdit *Ambient1;
  TEdit *ColorGreen;
  TEdit *ColorBlue;
  TEdit *ColorRed;
  TEdit *DiffuseGreen;
  TEdit *DiffuseBlue;
  TEdit *DiffuseRed;
  TEdit *SpecularGreen;
  TEdit *SpecularBlue;
  TEdit *SpecularRed;
  TEdit *EmissiveGreen;
  TEdit *EmissiveBlue;
  TEdit *EmissiveRed;
  TEdit *TransparencyGreen;
  TEdit *TransparencyBlue;
  TEdit *TransparencyRed;
  TEdit *Diffuse1;
  TEdit *Specular1;
  TEdit *Roughness;
  TEdit *Shininess;
  TEdit *Transparency1;
  TEdit *IndexRefraction;
  TEdit *CreaseAngle;
  TEdit *DxfColor;
  TEdit *DoubleSided;
  TEdit *RwxGeometrySampling;
  TEdit *RwxLightSampling;
  TEdit *RwxTextureModes;
  TEdit *RwxTag;
  TLabel *Label46;
  TLabel *Label47;
  TLabel *Label48;
  TLabel *Label49;
  TLabel *Label50;
  TLabel *Label51;
  TLabel *Label52;
  TLabel *Label53;
  TLabel *Label54;
  TLabel *Label55;
  TLabel *Label56;
  TLabel *Label57;
  TLabel *Label58;
  TLabel *Label59;
  TLabel *Label60;
  TLabel *Label61;
  TLabel *Label62;
  TLabel *Label63;
  TLabel *Label64;
  TLabel *Label65;
  TGroupBox *GroupBox37;
  TSpeedButton *GetOglGlobalAmbient;
  TSpeedButton *SetOglGlobalAmbient;
  TLabel *Label66;
  TEdit *OglGlobalAmbientRed;
  TEdit *OglGlobalAmbientGreen;
  TEdit *OglGlobalAmbientBlue;
  TEdit *OglGlobalAmbientAlpha;
  TGroupBox *GroupBox38;
  TGroupBox *GroupBox39;
  TRadioButton *OglLight0;
  TRadioButton *OglLight1;
  TRadioButton *OglLight2;
  TRadioButton *OglLight3;
  TRadioButton *OglLight4;
  TRadioButton *OglLight5;
  TRadioButton *OglLight6;
  TRadioButton *OglLight7;
  TEdit *OglLightAmbientRed;
  TEdit *OglLightAmbientGreen;
  TEdit *OglLightAmbientBlue;
  TEdit *OglLightAmbientAlpha;
  TEdit *OglLightDiffuseRed;
  TEdit *OglLightDiffuseGreen;
  TEdit *OglLightDiffuseBlue;
  TEdit *OglLightDiffuseAlpha;
  TEdit *OglLightSpecularRed;
  TEdit *OglLightSpecularGreen;
  TEdit *OglLightSpecularBlue;
  TEdit *OglLightSpecularAlpha;
  TEdit *OglLightPositionX;
  TEdit *OglLightPositionY;
  TEdit *OglLightPositionZ;
  TLabel *Label67;
  TLabel *Label68;
  TLabel *Label69;
  TLabel *Label70;
  TLabel *Label71;
  TLabel *Label72;
  TLabel *Label73;
  TLabel *Label74;
  TCheckBox *OglLightEnabled;
  TSpeedButton *SetOglLight;
  TGroupBox *GroupBox40;
  TGroupBox *GroupBox41;
  TGroupBox *GroupBox42;
  TRadioButton *DemBits8;
  TRadioButton *DemBits24;
  TRadioButton *DemBits32;
  TSpeedButton *GetDemInfo;
  TGroupBox *GroupBox43;
  TEdit *DemColumns;
  TEdit *DemXSpacing;
  TEdit *DemMinHeight;
  TEdit *DemRows;
  TEdit *DemYSpacing;
  TEdit *DemMaxHeight;
  TEdit *DemEast;
  TEdit *DemNorth;
  TEdit *DemHeight;
  TLabel *Label75;
  TLabel *Label76;
  TLabel *Label77;
  TLabel *Label78;
  TLabel *Label79;
  TLabel *Label80;
  TPanel *DemPanel;
  TScrollBar *DemScrollY;
  TScrollBar *DemScrollX;
  TLabel *Label81;
  TLabel *Label82;
  TLabel *Label83;
  TSpeedButton *StartEditVertices;
  TSpeedButton *StopEditVertices;
  TSpeedButton *EditExtrudeStart;
  TSpeedButton *EditExtrudeNow;
  TSpeedButton *EditDragBox;
  TSpeedButton *EditPickVertex;
  TSpeedButton *EditPickAllVertices;
  TSpeedButton *EditDragVertex;
  TGroupBox *GroupBox44;
  TLabel *EditPickModeLabel;
  TSpeedButton *EditPickModeFirst;
  TSpeedButton *EditPickModeConnected;
  TSpeedButton *EditPickModeAnywhere;
  TSpeedButton *EditPickModeSwitchFirst;
  TSpeedButton *EditPickModeErase;
  TSpeedButton *EditPickModeDeleteAll;
  TGroupBox *GroupBox45;
  TGroupBox *GroupBox46;
  TGroupBox *GroupBox47;
  TCheckBox *EditSnapKeepRelative;
  TSpeedButton *EditVertexSnapStart;
  TSpeedButton *EditVertexSnapShowAll;
  TSpeedButton *EditVertexSnapOkay;
  TSpeedButton *EditVertexSnapCancel;
  TSpeedButton *EditPickEdge;
  TSpeedButton *EditNewEdge;
  TSpeedButton *EditDeleteVertex;
  TSpeedButton *EditDivideEdge;
  TSpeedButton *EditMakeBevelSets;
  TSpeedButton *EditRotateGroup;
  TSpeedButton *EditRotateOkay;
  TSpeedButton *EditRotateCancel;
  TSpeedButton *GetEditRotateAngles;
  TSpeedButton *SetEditRotateAngles;
  TSpeedButton *SetEditRotateXAngle1;
  TSpeedButton *SetEditRotateYAngle1;
  TSpeedButton *SetEditRotateZAngle1;
  TSpeedButton *SetEditRotateXAngle2;
  TSpeedButton *SetEditRotateYAngle2;
  TSpeedButton *SetEditRotateZAngle2;
  TEdit *EditRotateXAngle;
  TEdit *EditRotateYAngle;
  TEdit *EditRotateZAngle;
  TEdit *EditRotateStepAngle;
  TSpeedButton *EditScaleGroup;
  TSpeedButton *EditScaleOkay;
  TSpeedButton *EditScaleCancel;
  TSpeedButton *GetEditScaleFactors;
  TEdit *EditScaleXFactor;
  TEdit *EditScaleYFactor;
  TEdit *EditScaleZFactor;
  TSpeedButton *SetEditScaleFactors;
  TSpeedButton *SetEditScaleXFactor1;
  TSpeedButton *SetEditScaleYFactor1;
  TSpeedButton *SetEditScaleZFactor1;
  TEdit *EditScaleStepFactor;
  TSpeedButton *SetEditScaleXFactor2;
  TSpeedButton *SetEditScaleYFactor2;
  TSpeedButton *SetEditScaleZFactor2;
  TSpeedButton *SetEditScaleXYZFactor2;
  TSpeedButton *SetEditScaleXYZFactor1;
  TCheckBox *EditDisplayGrid;
  TEdit *EditGridSize;
  TCheckBox *EditSnapToGrid;
  TGroupBox *GroupBox48;
  TSpeedButton *EditGetUpper;
  TSpeedButton *EditClearUpper;
  TSpeedButton *EditSetUpper;
  TSpeedButton *EditGetLower;
  TSpeedButton *EditClearLower;
  TSpeedButton *EditSetLower;
  TSpeedButton *EditFlipX;
  TSpeedButton *EditFlipY;
  TSpeedButton *EditFlipZ;
  TCheckBox *EditUpperFaces;
  TCheckBox *EditUpperBevels;
  TCheckBox *EditLowerFaces;
  TCheckBox *EditLowerBevels;
  TCheckBox *EditDivide;
  TGroupBox *GroupBox49;
  TGroupBox *GroupBox50;
  TRadioButton *EditLocalAxis;
  TRadioButton *EditWorldAxis;
  TSpeedButton *EditReduceVertices;
  TSpeedButton *EditSwitchUpper;
  TSpeedButton *EditSwitchLower;
  TSpeedButton *EditMoveBevelZero;
  TSpeedButton *EditSwitch;
  TSpeedButton *EditOpenOutline;
  TSpeedButton *EditPickSolid;
  TSpeedButton *EditOtherSolid;
  TSpeedButton *EditCloseOutline;
  TSpeedButton *EditPickWire;
  TSpeedButton *EditOtherWire;
  TSpeedButton *EditUndoSelected;
  TSpeedButton *EditUndoLayer;
  TSpeedButton *EditUndoAllLayers;
  TSpeedButton *EditGhostOn;
  TSpeedButton *EditGhostOff;
  TSpeedButton *EditPickGhost;
  TSpeedButton *EditGhostOkay;
  TSpeedButton *EditGhostCancel;
  TGroupBox *GroupBox51;
  TGroupBox *GroupBox52;
  TEdit *EditName;
  TSpeedButton *EditSelectLayer;
  TSpeedButton *GetEditMoveVertex;
  TSpeedButton *SetEditMoveVertex;
  TSpeedButton *EditMoveVertexX1;
  TSpeedButton *EditMoveVertexY1;
  TSpeedButton *EditMoveVertexZ1;
  TSpeedButton *EditMoveVertexX2;
  TSpeedButton *EditMoveVertexY2;
  TSpeedButton *EditMoveVertexZ2;
  TEdit *EditMoveVertexX;
  TEdit *EditMoveVertexY;
  TEdit *EditMoveVertexZ;
  TEdit *EditMoveVertexStep;
  TEdit *Extrude2D_LayerName;
  TGroupBox *GroupBox53;
  TLabel *Label84;
  TLabel *Label85;
  TLabel *Label86;
  TEdit *Extrude2D_MinX;
  TEdit *Extrude2D_MinY;
  TEdit *Extrude2D_MinZ;
  TEdit *Extrude2D_MaxX;
  TEdit *Extrude2D_MaxY;
  TEdit *Extrude2D_MaxZ;
  TGroupBox *GroupBox54;
  TLabel *Label87;
  TLabel *Label88;
  TLabel *Label89;
  TEdit *Extrude2D_XRotation;
  TEdit *Extrude2D_YRotation;
  TEdit *Extrude2D_ZRotation;
  TEdit *Extrude2D_StepAngle;
  TGroupBox *GroupBox55;
  TLabel *Label90;
  TLabel *Label91;
  TEdit *Extrude2D_Thickness;
  TEdit *Extrude2D_AdjustLocation;
  TGroupBox *GroupBox56;
  TRadioButton *Extrude2D_Normal;
  TRadioButton *Extrude2D_FlatTop;
  TRadioButton *Extrude2D_FlatBottom;
  TSpeedButton *Extrude2D_Start;
  TSpeedButton *Extrude2D_GetNextLayer;
  TSpeedButton *Extrude2D_MarkRotations;
  TSpeedButton *Extrude2D_ClearRotations;
  TSpeedButton *Extrude2D_XRotate1;
  TSpeedButton *Extrude2D_YRotate1;
  TSpeedButton *Extrude2D_ZRotate1;
  TSpeedButton *Extrude2D_XRotate2;
  TSpeedButton *Extrude2D_YRotate2;
  TSpeedButton *Extrude2D_ZRotate2;
  TSpeedButton *Extrude2D_Extrude;
  TSpeedButton *Extrude2D_Redo;
  TSpeedButton *Extrude2D_Undo;
  TSpeedButton *Extrude2D_Stop;
  TSpeedButton *KerkytheaGetData;
  TSpeedButton *KerkytheaSetData;
  TCheckBox *KerkytheaUseRadiance;
  TCheckBox *KerkytheaRadianceAsEmitter;
  TCheckBox *KerkytheaUsePngAlphaMasks;
  TGroupBox *GroupBox57;
  TGroupBox *GroupBox58;
  TGroupBox *GroupBox59;
  TGroupBox *GroupBox60;
  TRadioButton *KerkytheaDirectionalAsOmni;
  TRadioButton *KerkytheaDirectionalAsSun;
  TRadioButton *KerkytheaDirectionalAsSpot;
  TRadioButton *KerkytheaDirectionalAttenuation1;
  TRadioButton *KerkytheaDirectionalAttenuation2;
  TRadioButton *KerkytheaDirectionalAttenuation3;
  TLabel *Label92;
  TLabel *Label93;
  TEdit *KerkytheaDirectionalFallOff;
  TEdit *KerkytheaDirectionalHotSpot;
  TLabel *Label94;
  TLabel *Label95;
  TEdit *KerkytheaDirectionalMultiplier;
  TEdit *KerkytheaDirectionalRadius;
  TCheckBox *KerkytheaDirectionalShadow;
  TCheckBox *KerkytheaDirectionalSoftShadow;
  TCheckBox *KerkytheaDirectionalNegative;
  TCheckBox *KerkytheaDirectionalGlobalPhotons;
  TCheckBox *KerkytheaDirectionalCausticPhotons;
  TGroupBox *GroupBox61;
  TLabel *Label96;
  TLabel *Label97;
  TGroupBox *GroupBox63;
  TRadioButton *KerkytheaPointAttenuation1;
  TRadioButton *KerkytheaPointAttenuation2;
  TRadioButton *KerkytheaPointAttenuation3;
  TGroupBox *GroupBox64;
  TLabel *Label98;
  TLabel *Label99;
  TEdit *KerkytheaPointFallOff;
  TEdit *KerkytheaPointHotSpot;
  TEdit *KerkytheaPointMultiplier;
  TEdit *KerkytheaPointRadius;
  TCheckBox *KerkytheaPointShadow;
  TCheckBox *KerkytheaPointSoftShadow;
  TCheckBox *KerkytheaPointNegative;
  TCheckBox *KerkytheaPointGlobalPhotons;
  TCheckBox *KerkytheaPointCausticPhotons;
  TCheckBox *KerkytheaPointUp;
  TCheckBox *KerkytheaPointAsSpot;
  TGroupBox *GroupBox62;
  TLabel *Label100;
  TLabel *Label101;
  TGroupBox *GroupBox65;
  TRadioButton *KerkytheaSpotAttenuation1;
  TRadioButton *KerkytheaSpotAttenuation2;
  TRadioButton *KerkytheaSpotAttenuation3;
  TGroupBox *GroupBox66;
  TLabel *Label102;
  TLabel *Label103;
  TEdit *KerkytheaSpotFallOff;
  TEdit *KerkytheaSpotHotSpot;
  TCheckBox *KerkytheaSpotReplace;
  TEdit *KerkytheaSpotMultiplier;
  TEdit *KerkytheaSpotRadius;
  TCheckBox *KerkytheaSpotShadow;
  TCheckBox *KerkytheaSpotSoftShadow;
  TCheckBox *KerkytheaSpotNegative;
  TCheckBox *KerkytheaSpotGlobalPhotons;
  TCheckBox *KerkytheaSpotCausticPhotons;
  TCheckBox *KerkytheaUseHotFraction;
  TLabel *Label104;
  TEdit *KerkytheaSpotHotFraction;
  TGroupBox *GroupBox67;
  TGroupBox *GroupBox68;
  TGroupBox *GroupBox69;
  TGroupBox *GroupBox70;
  TSpeedButton *KmlGetDataFromDll;
  TSpeedButton *KmlCopyLatitudeLongitude;
  TSpeedButton *KmlGetDataForDll;
  TLabel *Label105;
  TLabel *Label106;
  TLabel *Label107;
  TLabel *Label108;
  TLabel *Label109;
  TLabel *Label110;
  TLabel *Label111;
  TLabel *Label112;
  TLabel *Label113;
  TLabel *Label114;
  TLabel *Label121;
  TLabel *Label122;
  TLabel *Label123;
  TEdit *KmlFolderName;
  TEdit *KmlFolderDescription;
  TEdit *KmlPlacemarkName;
  TEdit *KmlPlacemarkDescription;
  TEdit *KmlLookAtLatitudeDegrees;
  TEdit *KmlLookAtLatitudeMinutes;
  TEdit *KmlLookAtLatitudeSeconds;
  TEdit *KmlLookAtLongitudeDegrees;
  TEdit *KmlLookAtLongitudeMinutes;
  TEdit *KmlLookAtLongitudeSeconds;
  TEdit *KmlLookAtAltitude;
  TComboBox *KmlLookAtAltitudeMode;
  TCheckBox *KmlLookAtLatitudeSign;
  TCheckBox *KmlLookAtLongitudeSign;
  TEdit *KmlLookAtHeading;
  TEdit *KmlLookAtTilt;
  TEdit *KmlLookAtRange;
  TLabel *Label115;
  TLabel *Label116;
  TLabel *Label117;
  TLabel *Label118;
  TEdit *KmlModelLatitudeDegrees;
  TEdit *KmlModelLongitudeDegrees;
  TEdit *KmlModelAltitude;
  TEdit *KmlModelHeading;
  TLabel *Label119;
  TEdit *KmlModelTilt;
  TLabel *Label120;
  TEdit *KmlModelRoll;
  TComboBox *KmlModelAltitudeMode;
  TEdit *KmlModelLongitudeMinutes;
  TEdit *KmlModelLatitudeMinutes;
  TEdit *KmlModelLatitudeSeconds;
  TEdit *KmlModelLongitudeSeconds;
  TCheckBox *KmlModelLatitudeSign;
  TCheckBox *KmlModelLongitudeSign;
  TEdit *KmlModelScaleX;
  TEdit *KmlModelScaleY;
  TEdit *KmlModelScaleZ;
  TCheckBox *KmlUseModelsFolder;
  TCheckBox *KmlUseImagesFolder;
  TEdit *KmlModelsFolderName;
  TEdit *KmlImagesFolderName;
  TGroupBox *GroupBox71;
  TEdit *MinXObject;
  TEdit *MaxXObject;
  TEdit *MinYObject;
  TEdit *MaxYObject;
  TEdit *MinZObject;
  TEdit *MaxZObject;
  TLabel *Label124;
  TLabel *Label125;
  TLabel *Label126;
  TSpeedButton *GetMinMaxObject;
  TGroupBox *GroupBox72;
  TComboBox *BackgroundCombo;
  TEdit *BackgroundRed;
  TEdit *BackgroundGreen;
  TEdit *BackgroundBlue;
  TSpeedButton *BackgroundGet;
  TSpeedButton *BackgroundSet;
  TGroupBox *GroupBox73;
  TSpeedButton *CopyXtoYZObject;
  TSpeedButton *SetMin2Object;
  TSpeedButton *CalcCenterObject;
  TSpeedButton *SetCenterObject;
  TSpeedButton *DoScaleObject;
  TSpeedButton *SetMin1Object;
  TSpeedButton *SetMin3Object;
  TSpeedButton *ZeroAllZ;
  TEdit *EditXObject;
  TEdit *EditYObject;
  TEdit *EditZObject;
  TLabel *Label127;
  TLabel *Label128;
  TLabel *Label129;
  TGroupBox *GroupBox74;
  TSpeedButton *MirrorXObject;
  TSpeedButton *MirrorYObject;
  TSpeedButton *MirrorZObject;
  TGroupBox *GroupBox75;
  TCheckBox *RotateAboutOrigin;
  TCheckBox *DrawObjectAxes;
  TSpeedButton *RotateX1Object;
  TSpeedButton *RotateY1Object;
  TSpeedButton *RotateZ1Object;
  TSpeedButton *RotateX2Object;
  TSpeedButton *RotateY2Object;
  TSpeedButton *RotateZ2Object;
  TSpeedButton *RotateX3Object;
  TSpeedButton *RotateY3Object;
  TSpeedButton *RotateZ3Object;
  TSpeedButton *RotateXYZObject;
  TLabel *Label130;
  TLabel *Label131;
  TLabel *Label132;
  TGroupBox *GroupBox76;
  TSpeedButton *EraseLines1;
  TSpeedButton *EraseClouds1;
  TSpeedButton *EraseLines2;
  TSpeedButton *EraseClouds2;
  TGroupBox *GroupBox77;
  TGroupBox *GroupBox78;
  TEdit *ReducePolygonsName;
  TEdit *ReducePolygonsVertex0;
  TEdit *ReducePolygonsTriangle0;
  TEdit *ReducePolygonsVertex1;
  TEdit *ReducePolygonsTriangle1;
  TEdit *ReducePolygonsStep;
  TSpeedButton *ReducePolygonsStart;
  TSpeedButton *ReducePolygonsOkay;
  TSpeedButton *ReducePolygonsCancel;
  TSpeedButton *ReducePolygonsSelectLayer;
  TSpeedButton *ReducePolygonsSet;
  TSpeedButton *ReducePolygonsDecrease;
  TSpeedButton *ReducePolygonsIncrease;
  TLabel *Label133;
  TLabel *Label134;
  TGroupBox *GroupBox79;
  TGroupBox *GroupBox80;
  TSpeedButton *WatertightCheck;
  TEdit *TextureCenter0;
  TEdit *TextureCenter1;
  TEdit *TextureRotation;
  TEdit *TextureScale0;
  TEdit *TextureScale1;
  TEdit *TextureTranslation0;
  TEdit *TextureTranslation1;
  TLabel *Label135;
  TLabel *Label136;
  TLabel *Label137;
  TLabel *Label138;
  TComboBox *TextureTypeCombo;
  TSpeedButton *CreateUV;
  TSpeedButton *RemoveUV;
  TSpeedButton *UVDialog;
  TGroupBox *GroupBox81;
  TGroupBox *GroupBox82;
  TGroupBox *GroupBox83;
  TGroupBox *GroupBox84;
  TGroupBox *GroupBox85;
  TGroupBox *GroupBox86;
  TGroupBox *GroupBox87;
  TEdit *TextFontName;
  TEdit *TextPoints;
  TEdit *TextHeight;
  TEdit *TextDepth;
  TEdit *TextBorder;
  TEdit *TextEdit;
  TEdit *TextUnicodeEdit;
  TEdit *TextLayerName;
  TRadioButton *TextOneLayer;
  TRadioButton *TextMultipleLayers;
  TCheckBox *TextCreateStencil;
  TCheckBox *TextPlusCore;
  TCheckBox *TextOnCurve;
  TCheckBox *TextOrigVerts;
  TCheckBox *TextAllChars;
  TCheckBox *TextReduceVertices;
  TCheckBox *TextJoin;
  TCheckBox *TextFace;
  TCheckBox *TextExtrude;
  TCheckBox *TextReverseOutlines;
  TSpeedButton *TextSelectFont;
  TSpeedButton *TextFontDirectory;
  TSpeedButton *TextPointsDown;
  TSpeedButton *TextPointsUp;
  TSpeedButton *TextPaste;
  TSpeedButton *ApplyBevels1;
  TSpeedButton *ApplyBevels2;
  TSpeedButton *ApplyBevels3;
  TSpeedButton *TextMakeBevelSets;
  TSpeedButton *TextSelectLayer;
  TSpeedButton *TransferOutlines1;
  TSpeedButton *TransferOutlines2;
  TSpeedButton *TransferOutlines3;
  TLabel *Label139;
  TLabel *Label140;
  TLabel *Label141;
  TLabel *Label142;
  TGroupBox *GroupBox88;
  TRadioButton *TransferFromTypeFlag0;
  TRadioButton *TransferFromTypeFlag1;
  TRadioButton *TransferFromTypeFlag2;
  TCheckBox *UseAmbient1;
  TCheckBox *UseReflection1;
  TCheckBox *UseTransparency1;
  TCheckBox *UseDiffuse1;
  TCheckBox *UseSpecular1;
  TSpeedButton *TransferFrom;
  TSpeedButton *FastTransferFrom;
  TSpeedButton *TransferClear;
  TSpeedButton *TransferTo;
  TSpeedButton *FastTransferTo;
  TSpeedButton *TransferFree;
  TCheckBox *UseVertexFloatTransfer;
  TGroupBox *GroupBox89;
  TLabel *Label143;
  TLabel *Label144;
  TLabel *Label145;
  TPanel *Panel2;
  TLabel *Label146;
  TLabel *Label147;
  TSpeedButton *SpecialTransferFrom;
  TSpeedButton *SpecialFastTransferFrom;
  TSpeedButton *SpecialTransferTo;
  TSpeedButton *SpecialFastTransferTo;
  TGroupBox *GroupBox90;
  TGroupBox *GroupBox91;
  TGroupBox *GroupBox92;
  TSpeedButton *TransferTextureSquare1;
  TSpeedButton *TransferTextureSquare2;
  TSpeedButton *TransferTextureSquare3;
  TSpeedButton *TransferRedKnight;
  TSpeedButton *TransferGreenKnight;
  TSpeedButton *TransferBlueKnight;
  TSpeedButton *TransferGreenMonk;
  TSpeedButton *TransferBlueMonk;
  TSpeedButton *TransferMultiMatKnight;
  TGroupBox *GroupBox93;
  TGroupBox *GroupBox94;
  TGroupBox *GroupBox95;
  TGroupBox *GroupBox96;
  TEdit *LayerCloudVerts;
  TEdit *LayerLineVerts;
  TEdit *LayerMeshVerts;
  TEdit *LayerMinX;
  TEdit *LayerLines;
  TEdit *LayerTriangles;
  TLabel *Label148;
  TLabel *Label149;
  TLabel *Label150;
  TLabel *Label151;
  TLabel *Label152;
  TEdit *LayerMinY;
  TEdit *LayerMinZ;
  TLabel *Label153;
  TLabel *Label154;
  TLabel *Label155;
  TEdit *LayerMaxX;
  TEdit *LayerMaxY;
  TEdit *LayerMaxZ;
  TEdit *LayerMinMaxName;
  TSpeedButton *SelectFirstLayer;
  TSpeedButton *SelectNextLayer;
  TCheckBox *XyzSkipDlg;
  TGroupBox *GroupBox97;
  TRadioButton *XyzMeshType;
  TRadioButton *XyzScanType;
  TRadioButton *XyzDoubleZType;
  TGroupBox *GroupBox98;
  TGroupBox *GroupBox99;
  TGroupBox *GroupBox100;
  TRadioButton *XyzIntel;
  TRadioButton *XyzMotorola;
  TRadioButton *XyzFloatType;
  TRadioButton *XyzDoubleType;
  TGroupBox *GroupBox101;
  TRadioButton *XyzAsciiType;
  TRadioButton *XyzBinaryType;
  TGroupBox *GroupBox102;
  TRadioButton *XyzAxis1;
  TRadioButton *XyzAxis2;
  TRadioButton *XyzAxis3;
  TGroupBox *GroupBox104;
  TEdit *XyzRows;
  TEdit *XyzColumns;
  TLabel *Label156;
  TLabel *Label157;
  TGroupBox *GroupBox105;
  TCheckBox *XyzReadClip;
  TEdit *XyzFromRow;
  TEdit *XyzToRow;
  TEdit *XyzFromColumn;
  TEdit *XyzToColumn;
  TLabel *Label158;
  TLabel *Label159;
  TLabel *Label160;
  TLabel *Label161;
  TCheckBox *XyzSaveAsDXF;
  TGroupBox *GroupBox106;
  TRadioButton *XyzByRow;
  TRadioButton *XyzByColumn;
  TGroupBox *GroupBox107;
  TGroupBox *GroupBox108;
  TCheckBox *XyzScaleZ;
  TEdit *XyzScaleFactorZ;
  TLabel *Label162;
  TGroupBox *GroupBox109;
  TCheckBox *XyzUseNoData;
  TEdit *XyzNoDataValue;
  TRadioButton *XyzNoDataReplace1;
  TRadioButton *XyzNoDataReplace2;
  TRadioButton *XyzNoDataReplace3;
  TEdit *XyzNoDataReplaceValue;
  TSpeedButton *ConvertText;
  TSpeedButton *ConvertUnicodeText;
  TSpeedButton *ReadDoStuffWrite;
  TSpeedButton *SetMin4Object;
  TSpeedButton *SetMin5Object;
  TSpeedButton *SetMin6Object;
  TGroupBox *XamlParentGroup;
  TRadioButton *XamlPage;
  TRadioButton *XamlViewport3D;
  TCheckBox *VColorDivide;
  TGroupBox *XyzOptions_Group;
  TCheckBox *XyzUseId;
  TRadioButton *XyzOptions_None;
  TRadioButton *XyzOptions_ID;
  TRadioButton *XyzOptions_RGB;
  TCheckBox *XyzRgbIntegers;
  TRadioButton *XyzOptions_Skip;
  TEdit *XyzSkipCount;
  TCheckBox *DxfAllLayersOn;
  TCheckBox *TouchScreenInput;
  TCheckBox *Extrude2D_Invert;
  TCheckBox *Extrude2D_DropFaces;
  void __fastcall FormDestroy(TObject *Sender);
  void __fastcall ReadClick(TObject *Sender);
  void __fastcall ShowWindowClick(TObject *Sender);
  void __fastcall HideWindowClick(TObject *Sender);
  void __fastcall MoveWindow1Click(TObject *Sender);
  void __fastcall MoveWindow2Click(TObject *Sender);
  void __fastcall SizeWindow1Click(TObject *Sender);
  void __fastcall SizeWindow2Click(TObject *Sender);
  void __fastcall ClearClick(TObject *Sender);
  void __fastcall WriteClick(TObject *Sender);
  void __fastcall UseBBoxClick(TObject *Sender);
  void __fastcall UseWiresClick(TObject *Sender);
  void __fastcall ZoomInClick(TObject *Sender);
  void __fastcall ZoomOutClick(TObject *Sender);
  void __fastcall ZoomResetClick(TObject *Sender);
  void __fastcall ViewCenterXClick(TObject *Sender);
  void __fastcall ViewCenterZClick(TObject *Sender);
  void __fastcall ViewSolidClick(TObject *Sender);
  void __fastcall DrawWireframeClick(TObject *Sender);
  void __fastcall ParallelClick(TObject *Sender);
  void __fastcall PerspectiveClick(TObject *Sender);
  void __fastcall XYZOnClick(TObject *Sender);
  void __fastcall XYZOffClick(TObject *Sender);
  void __fastcall OnTopNoClick(TObject *Sender);
  void __fastcall OnTopYesClick(TObject *Sender);
  void __fastcall ViewShadedClick(TObject *Sender);
  void __fastcall ViewFrontClick(TObject *Sender);
  void __fastcall ViewBackClick(TObject *Sender);
  void __fastcall ViewRightClick(TObject *Sender);
  void __fastcall ViewLeftClick(TObject *Sender);
  void __fastcall ViewTopClick(TObject *Sender);
  void __fastcall ViewBottomClick(TObject *Sender);
  void __fastcall TransferFromClick(TObject *Sender);
  void __fastcall TransferClearClick(TObject *Sender);
  void __fastcall TransferToClick(TObject *Sender);
  void __fastcall TransferFreeClick(TObject *Sender);
  void __fastcall MakeQuadsClick(TObject *Sender);
  void __fastcall DeleteQuadsClick(TObject *Sender);
  void __fastcall ShowQuadsClick(TObject *Sender);
  void __fastcall HideQuadsClick(TObject *Sender);
  void __fastcall OutputQuadsClick(TObject *Sender);
  void __fastcall HiddenWireframeClick(TObject *Sender);
  void __fastcall AlignActivateClick(TObject *Sender);
  void __fastcall PresetNormalsClick(TObject *Sender);
  void __fastcall AlignShowAllClick(TObject *Sender);
  void __fastcall AlignFlipOneClick(TObject *Sender);
  void __fastcall SetAlignLayerClick(TObject *Sender);
  void __fastcall ConvertTextClick(TObject *Sender);
  void __fastcall TextSelectFontClick(TObject *Sender);
  void __fastcall TextFontDirectoryClick(TObject *Sender);
  void __fastcall TextOneLayerClick(TObject *Sender);
  void __fastcall TextMultipleLayersClick(TObject *Sender);
  void __fastcall TextCreateStencilClick(TObject *Sender);
  void __fastcall TextPlusCoreClick(TObject *Sender);
  void __fastcall TextPointsDownClick(TObject *Sender);
  void __fastcall TextPointsUpClick(TObject *Sender);
  void __fastcall TextReduceVerticesClick(TObject *Sender);
  void __fastcall TextJoinClick(TObject *Sender);
  void __fastcall TextFaceClick(TObject *Sender);
  void __fastcall TextExtrudeClick(TObject *Sender);
  void __fastcall MergeObjectsClick(TObject *Sender);
  void __fastcall ShowSecurityClick(TObject *Sender);
  void __fastcall DepthBufferOnClick(TObject *Sender);
  void __fastcall DepthBufferOffClick(TObject *Sender);
  void __fastcall MergeVerticesClick(TObject *Sender);
  void __fastcall DeleteLayerClick(TObject *Sender);
  void __fastcall FastTransferFromClick(TObject *Sender);
  void __fastcall FastTransferToClick(TObject *Sender);
  void __fastcall OutputUVClick(TObject *Sender);
  void __fastcall BufferReadClick(TObject *Sender);
  void __fastcall BufferWriteClick(TObject *Sender);
  void __fastcall RemoveFacesClick(TObject *Sender);
  void __fastcall UseOpenGLClick(TObject *Sender);
  void __fastcall OglLightsMaterialsClick(TObject *Sender);
  void __fastcall ParentWindowClick(TObject *Sender);
  void __fastcall UnparentWindowClick(TObject *Sender);
  void __fastcall FormPaint(TObject *Sender);
  void __fastcall DisplayTexturesClick(TObject *Sender);
  void __fastcall OglReplaceClick(TObject *Sender);
  void __fastcall UseWhiteBaseClick(TObject *Sender);
  void __fastcall MakeSmooth1Click(TObject *Sender);
  void __fastcall EraseSmooth1Click(TObject *Sender);
  void __fastcall MakeSmooth2Click(TObject *Sender);
  void __fastcall EraseSmooth2Click(TObject *Sender);
  void __fastcall OutputVNormalsClick(TObject *Sender);
  void __fastcall InComboChange(TObject *Sender);
  void __fastcall OutComboChange(TObject *Sender);
  void __fastcall TwoSidedLightingClick(TObject *Sender);
  void __fastcall CullBackFacesClick(TObject *Sender);
  void __fastcall Save2DLinesClick(TObject *Sender);
  void __fastcall RenderComboChange(TObject *Sender);
  void __fastcall GetCameraAnglesClick(TObject *Sender);
  void __fastcall SetCameraAnglesClick(TObject *Sender);
  void __fastcall SetCameraXAngle1Click(TObject *Sender);
  void __fastcall SetCameraXAngle2Click(TObject *Sender);
  void __fastcall SetCameraYAngle1Click(TObject *Sender);
  void __fastcall SetCameraYAngle2Click(TObject *Sender);
  void __fastcall SetCameraZAngle1Click(TObject *Sender);
  void __fastcall SetCameraZAngle2Click(TObject *Sender);
  void __fastcall SetCameraPanClick(TObject *Sender);
  void __fastcall SetCameraXPan1Click(TObject *Sender);
  void __fastcall SetCameraXPan2Click(TObject *Sender);
  void __fastcall SetCameraZPan1Click(TObject *Sender);
  void __fastcall SetCameraZPan2Click(TObject *Sender);
  void __fastcall GetMinMaxObjectClick(TObject *Sender);
  void __fastcall CopyXtoYZObjectClick(TObject *Sender);
  void __fastcall CalcCenterObjectClick(TObject *Sender);
  void __fastcall SetCenterObjectClick(TObject *Sender);
  void __fastcall SetMin1ObjectClick(TObject *Sender);
  void __fastcall SetMin2ObjectClick(TObject *Sender);
  void __fastcall SetMin3ObjectClick(TObject *Sender);
  void __fastcall DoScaleObjectClick(TObject *Sender);
  void __fastcall MirrorXObjectClick(TObject *Sender);
  void __fastcall MirrorYObjectClick(TObject *Sender);
  void __fastcall MirrorZObjectClick(TObject *Sender);
  void __fastcall RotateX1ObjectClick(TObject *Sender);
  void __fastcall RotateX2ObjectClick(TObject *Sender);
  void __fastcall RotateX3ObjectClick(TObject *Sender);
  void __fastcall RotateY1ObjectClick(TObject *Sender);
  void __fastcall RotateY2ObjectClick(TObject *Sender);
  void __fastcall RotateY3ObjectClick(TObject *Sender);
  void __fastcall RotateZ1ObjectClick(TObject *Sender);
  void __fastcall RotateZ2ObjectClick(TObject *Sender);
  void __fastcall RotateZ3ObjectClick(TObject *Sender);
  void __fastcall RotateXYZObjectClick(TObject *Sender);
  void __fastcall ShowReadMessagesClick(TObject *Sender);
  void __fastcall ShowSaveMessagesClick(TObject *Sender);
  void __fastcall GetDefaultMaterialsClick(TObject *Sender);
  void __fastcall ClearDefaultMaterialsClick(TObject *Sender);
  void __fastcall BackgroundComboChange(TObject *Sender);
  void __fastcall BackgroundGetClick(TObject *Sender);
  void __fastcall BackgroundSetClick(TObject *Sender);
  void __fastcall SpecialTransferFromClick(TObject *Sender);
  void __fastcall SpecialFastTransferFromClick(TObject *Sender);
  void __fastcall SpecialTransferToClick(TObject *Sender);
  void __fastcall SpecialFastTransferToClick(TObject *Sender);
  void __fastcall ColorPickerClick(TObject *Sender);
  void __fastcall GetDxfPenClick(TObject *Sender);
  void __fastcall TextureMatchClick(TObject *Sender);
  void __fastcall SaveTexturePathClick(TObject *Sender);
  void __fastcall TransferGreenKnightClick(TObject *Sender);
  void __fastcall TransferTextureSquare1Click(TObject *Sender);
  void __fastcall TransferTextureSquare2Click(TObject *Sender);
  void __fastcall TransferTextureSquare3Click(TObject *Sender);
  void __fastcall TransferRedKnightClick(TObject *Sender);
  void __fastcall TransferBlueKnightClick(TObject *Sender);
  void __fastcall TransferFromTypeFlag0Click(TObject *Sender);
  void __fastcall TransferFromTypeFlag1Click(TObject *Sender);
  void __fastcall TransferFromTypeFlag2Click(TObject *Sender);
  void __fastcall SavePointCloudsClick(TObject *Sender);
  void __fastcall MergeMaterialsClick(TObject *Sender);
  void __fastcall CreateUVClick(TObject *Sender);
  void __fastcall TextureTypeComboChange(TObject *Sender);
  void __fastcall RemoveUVClick(TObject *Sender);
  void __fastcall UVDialogClick(TObject *Sender);
  void __fastcall TransferBlueMonkClick(TObject *Sender);
  void __fastcall DoLayerFlipClick(TObject *Sender);
  void __fastcall Mesh3dmfClick(TObject *Sender);
  void __fastcall TriMesh3dmfClick(TObject *Sender);
  void __fastcall Triangle3dmfClick(TObject *Sender);
  void __fastcall Quad3dmfClick(TObject *Sender);
  void __fastcall TdmfPixel16Click(TObject *Sender);
  void __fastcall TdmfPixel24Click(TObject *Sender);
  void __fastcall TdmfPixel32Click(TObject *Sender);
  void __fastcall TransferGreenMonkClick(TObject *Sender);
  void __fastcall DefaultTextureClick(TObject *Sender);
  void __fastcall UseFilmstripClick(TObject *Sender);
  void __fastcall FilmstripTimerClick(TObject *Sender);
  void __fastcall AutoDivideLayersClick(TObject *Sender);
  void __fastcall UseAmbient1Click(TObject *Sender);
  void __fastcall UseDiffuse1Click(TObject *Sender);
  void __fastcall UseSpecular1Click(TObject *Sender);
  void __fastcall UseReflection1Click(TObject *Sender);
  void __fastcall UseTransparency1Click(TObject *Sender);
  void __fastcall GetDemInfoClick(TObject *Sender);
  void __fastcall DemScrollXChange(TObject *Sender);
  void __fastcall DemScrollYChange(TObject *Sender);
  void __fastcall DemPanelMouseMove(TObject *Sender, TShiftState Shift,
          int X, int Y);
  void __fastcall DemBits8Click(TObject *Sender);
  void __fastcall DemBits24Click(TObject *Sender);
  void __fastcall DemBits32Click(TObject *Sender);
  void __fastcall DemSeaLevel0Click(TObject *Sender);
  void __fastcall DemSeaLevel1Click(TObject *Sender);
  void __fastcall DemSeaLevel2Click(TObject *Sender);
  void __fastcall WriteDemContourMapClick(TObject *Sender);
  void __fastcall OutputVColorsClick(TObject *Sender);
  void __fastcall MultiMaterialClick(TObject *Sender);
  void __fastcall RelocateTexturesClick(TObject *Sender);
  void __fastcall ZeroAllZClick(TObject *Sender);
  void __fastcall OutputAvatarClick(TObject *Sender);
  void __fastcall TransferMultiMatKnightClick(TObject *Sender);
  void __fastcall UseVertexFloatTransferClick(TObject *Sender);
  void __fastcall PartialTexturePathClick(TObject *Sender);
  void __fastcall RemoveVerticesClick(TObject *Sender);
  void __fastcall EraseLines1Click(TObject *Sender);
  void __fastcall EraseLines2Click(TObject *Sender);
  void __fastcall EraseClouds1Click(TObject *Sender);
  void __fastcall EraseClouds2Click(TObject *Sender);
  void __fastcall WatertightCheckClick(TObject *Sender);
  void __fastcall NoIndentClick(TObject *Sender);
  void __fastcall StartEditVerticesClick(TObject *Sender);
  void __fastcall StopEditVerticesClick(TObject *Sender);
  void __fastcall EditExtrudeStartClick(TObject *Sender);
  void __fastcall EditExtrudeNowClick(TObject *Sender);
  void __fastcall EditDragBoxClick(TObject *Sender);
  void __fastcall EditPickVertexClick(TObject *Sender);
  void __fastcall EditPickAllVerticesClick(TObject *Sender);
  void __fastcall EditPickEdgeClick(TObject *Sender);
  void __fastcall EditNewEdgeClick(TObject *Sender);
  void __fastcall EditDeleteVertexClick(TObject *Sender);
  void __fastcall EditDivideEdgeClick(TObject *Sender);
  void __fastcall EditDragVertexClick(TObject *Sender);
  void __fastcall EditFlipXClick(TObject *Sender);
  void __fastcall EditFlipYClick(TObject *Sender);
  void __fastcall EditFlipZClick(TObject *Sender);
  void __fastcall EditMoveBevelZeroClick(TObject *Sender);
  void __fastcall EditSwitchClick(TObject *Sender);
  void __fastcall EditOpenOutlineClick(TObject *Sender);
  void __fastcall EditCloseOutlineClick(TObject *Sender);
  void __fastcall EditPickSolidClick(TObject *Sender);
  void __fastcall EditPickWireClick(TObject *Sender);
  void __fastcall EditOtherSolidClick(TObject *Sender);
  void __fastcall EditOtherWireClick(TObject *Sender);
  void __fastcall GetEditRotateAnglesClick(TObject *Sender);
  void __fastcall SetEditRotateAnglesClick(TObject *Sender);
  void __fastcall SetEditRotateXAngle1Click(TObject *Sender);
  void __fastcall SetEditRotateXAngle2Click(TObject *Sender);
  void __fastcall SetEditRotateYAngle1Click(TObject *Sender);
  void __fastcall SetEditRotateYAngle2Click(TObject *Sender);
  void __fastcall SetEditRotateZAngle1Click(TObject *Sender);
  void __fastcall SetEditRotateZAngle2Click(TObject *Sender);
  void __fastcall EditRotateGroupClick(TObject *Sender);
  void __fastcall EditScaleGroupClick(TObject *Sender);
  void __fastcall GetEditScaleFactorsClick(TObject *Sender);
  void __fastcall SetEditScaleFactorsClick(TObject *Sender);
  void __fastcall SetEditScaleXFactor1Click(TObject *Sender);
  void __fastcall SetEditScaleXFactor2Click(TObject *Sender);
  void __fastcall SetEditScaleYFactor1Click(TObject *Sender);
  void __fastcall SetEditScaleYFactor2Click(TObject *Sender);
  void __fastcall SetEditScaleZFactor1Click(TObject *Sender);
  void __fastcall SetEditScaleZFactor2Click(TObject *Sender);
  void __fastcall EditRotateOkayClick(TObject *Sender);
  void __fastcall EditRotateCancelClick(TObject *Sender);
  void __fastcall EditScaleOkayClick(TObject *Sender);
  void __fastcall EditScaleCancelClick(TObject *Sender);
  void __fastcall SetEditScaleXYZFactor1Click(TObject *Sender);
  void __fastcall SetEditScaleXYZFactor2Click(TObject *Sender);
  void __fastcall EditReduceVerticesClick(TObject *Sender);
  void __fastcall EditPickGhostClick(TObject *Sender);
  void __fastcall EditGhostOkayClick(TObject *Sender);
  void __fastcall EditGhostCancelClick(TObject *Sender);
  void __fastcall EditGhostOnClick(TObject *Sender);
  void __fastcall EditGhostOffClick(TObject *Sender);
  void __fastcall EditPickModeFirstClick(TObject *Sender);
  void __fastcall EditPickModeConnectedClick(TObject *Sender);
  void __fastcall EditPickModeAnywhereClick(TObject *Sender);
  void __fastcall EditPickModeEraseClick(TObject *Sender);
  void __fastcall EditPickModeDeleteAllClick(TObject *Sender);
  void __fastcall EditLocalAxisClick(TObject *Sender);
  void __fastcall EditWorldAxisClick(TObject *Sender);
  void __fastcall EditVertexSnapStartClick(TObject *Sender);
  void __fastcall EditVertexSnapShowAllClick(TObject *Sender);
  void __fastcall EditVertexSnapOkayClick(TObject *Sender);
  void __fastcall EditVertexSnapCancelClick(TObject *Sender);
  void __fastcall EditUpperFacesClick(TObject *Sender);
  void __fastcall EditUpperBevelsClick(TObject *Sender);
  void __fastcall EditLowerFacesClick(TObject *Sender);
  void __fastcall EditLowerBevelsClick(TObject *Sender);
  void __fastcall EditSwitchUpperClick(TObject *Sender);
  void __fastcall EditSwitchLowerClick(TObject *Sender);
  void __fastcall EditDisplayGridClick(TObject *Sender);
  void __fastcall EditSnapToGridClick(TObject *Sender);
  void __fastcall EditUndoSelectedClick(TObject *Sender);
  void __fastcall EditUndoLayerClick(TObject *Sender);
  void __fastcall EditUndoAllLayersClick(TObject *Sender);
  void __fastcall EditGetUpperClick(TObject *Sender);
  void __fastcall EditClearUpperClick(TObject *Sender);
  void __fastcall EditSetUpperClick(TObject *Sender);
  void __fastcall EditGetLowerClick(TObject *Sender);
  void __fastcall EditClearLowerClick(TObject *Sender);
  void __fastcall EditSetLowerClick(TObject *Sender);
  void __fastcall ApplyBevels1Click(TObject *Sender);
  void __fastcall ApplyBevels2Click(TObject *Sender);
  void __fastcall ApplyBevels3Click(TObject *Sender);
  void __fastcall EditDivideClick(TObject *Sender);
  void __fastcall Convert1_MeshToLandscapeClick(TObject *Sender);
  void __fastcall Convert1_GetSizeClick(TObject *Sender);
  void __fastcall Convert1_CalculateClick(TObject *Sender);
  void __fastcall Convert1_FlagStretchXClick(TObject *Sender);
  void __fastcall Convert1_FlagStretchYClick(TObject *Sender);
  void __fastcall Convert1_KeepOriginalClick(TObject *Sender);
  void __fastcall Convert1_LandscapeClick(TObject *Sender);
  void __fastcall Convert1_MeshClick(TObject *Sender);
  void __fastcall Convert1_AddPointCloudClick(TObject *Sender);
  void __fastcall Convert1_DropFacesClick(TObject *Sender);
  void __fastcall Convert1_AddBaseClick(TObject *Sender);
  void __fastcall Convert1_AddUVClick(TObject *Sender);
  void __fastcall Convert1_WriteXYZClick(TObject *Sender);
  void __fastcall GetCameraViewpointClick(TObject *Sender);
  void __fastcall SetCameraViewpointClick(TObject *Sender);
  void __fastcall SetCameraRotateSpeed1Click(TObject *Sender);
  void __fastcall SetCameraRotateSpeed2Click(TObject *Sender);
  void __fastcall GetCameraInitialDistanceClick(TObject *Sender);
  void __fastcall SetCameraInitialDistanceClick(TObject *Sender);
  void __fastcall GetCameraDistanceClick(TObject *Sender);
  void __fastcall SetCameraDistanceClick(TObject *Sender);
  void __fastcall GetCameraZoomSpeedClick(TObject *Sender);
  void __fastcall SetCameraZoomSpeed1Click(TObject *Sender);
  void __fastcall SetCameraZoomSpeed2Click(TObject *Sender);
  void __fastcall SetCameraZoomSpeed3Click(TObject *Sender);
  void __fastcall SetCameraZoomSpeed4Click(TObject *Sender);
  void __fastcall SetCameraZoomSpeed5Click(TObject *Sender);
  void __fastcall SetCameraZoomSpeed6Click(TObject *Sender);
  void __fastcall GetCameraFieldOfViewClick(TObject *Sender);
  void __fastcall SetCameraFieldOfViewClick(TObject *Sender);
  void __fastcall SetCameraFOV1Click(TObject *Sender);
  void __fastcall SetCameraFOV2Click(TObject *Sender);
  void __fastcall EditSnapKeepRelativeClick(TObject *Sender);
  void __fastcall Extrude2D_StartClick(TObject *Sender);
  void __fastcall Extrude2D_NormalClick(TObject *Sender);
  void __fastcall Extrude2D_FlatTopClick(TObject *Sender);
  void __fastcall Extrude2D_FlatBottomClick(TObject *Sender);
  void __fastcall Extrude2D_MarkRotationsClick(TObject *Sender);
  void __fastcall Extrude2D_ClearRotationsClick(TObject *Sender);
  void __fastcall Extrude2D_ExtrudeClick(TObject *Sender);
  void __fastcall Extrude2D_RedoClick(TObject *Sender);
  void __fastcall Extrude2D_UndoClick(TObject *Sender);
  void __fastcall Extrude2D_StopClick(TObject *Sender);
  void __fastcall Extrude2D_XRotate1Click(TObject *Sender);
  void __fastcall Extrude2D_XRotate2Click(TObject *Sender);
  void __fastcall Extrude2D_YRotate1Click(TObject *Sender);
  void __fastcall Extrude2D_YRotate2Click(TObject *Sender);
  void __fastcall Extrude2D_ZRotate1Click(TObject *Sender);
  void __fastcall Extrude2D_ZRotate2Click(TObject *Sender);
  void __fastcall Extrude2D_GetNextLayerClick(TObject *Sender);
  void __fastcall OneLayerPerFileClick(TObject *Sender);
  void __fastcall RotateAboutOriginClick(TObject *Sender);
  void __fastcall DrawObjectAxesClick(TObject *Sender);
  void __fastcall EditSelectLayerClick(TObject *Sender);
  void __fastcall PageControl1Change(TObject *Sender);
  void __fastcall GetEditMoveVertexClick(TObject *Sender);
  void __fastcall SetEditMoveVertexClick(TObject *Sender);
  void __fastcall EditMoveVertexX1Click(TObject *Sender);
  void __fastcall EditMoveVertexX2Click(TObject *Sender);
  void __fastcall EditMoveVertexY1Click(TObject *Sender);
  void __fastcall EditMoveVertexY2Click(TObject *Sender);
  void __fastcall EditMoveVertexZ1Click(TObject *Sender);
  void __fastcall EditMoveVertexZ2Click(TObject *Sender);
  void __fastcall XyzSkipDlgClick(TObject *Sender);
  void __fastcall XyzMeshTypeClick(TObject *Sender);
  void __fastcall XyzScanTypeClick(TObject *Sender);
  void __fastcall XyzAsciiTypeClick(TObject *Sender);
  void __fastcall XyzBinaryTypeClick(TObject *Sender);
  void __fastcall XyzIntelClick(TObject *Sender);
  void __fastcall XyzMotorolaClick(TObject *Sender);
  void __fastcall XyzFloatTypeClick(TObject *Sender);
  void __fastcall XyzDoubleTypeClick(TObject *Sender);
  void __fastcall XyzByRowClick(TObject *Sender);
  void __fastcall XyzByColumnClick(TObject *Sender);
  void __fastcall XyzReadClipClick(TObject *Sender);
  void __fastcall XyzAxis1Click(TObject *Sender);
  void __fastcall XyzAxis2Click(TObject *Sender);
  void __fastcall XyzAxis3Click(TObject *Sender);
  void __fastcall XyzScaleZClick(TObject *Sender);
  void __fastcall XyzSaveAsDXFClick(TObject *Sender);
  void __fastcall XyzUseNoDataClick(TObject *Sender);
  void __fastcall XyzNoDataReplace1Click(TObject *Sender);
  void __fastcall XyzNoDataReplace2Click(TObject *Sender);
  void __fastcall XyzNoDataReplace3Click(TObject *Sender);
  void __fastcall KerkytheaUseRadianceClick(TObject *Sender);
  void __fastcall KerkytheaRadianceAsEmitterClick(TObject *Sender);
  void __fastcall KerkytheaDirectionalAsOmniClick(TObject *Sender);
  void __fastcall KerkytheaDirectionalAsSunClick(TObject *Sender);
  void __fastcall KerkytheaDirectionalAsSpotClick(TObject *Sender);
  void __fastcall KerkytheaDirectionalAttenuation1Click(TObject *Sender);
  void __fastcall KerkytheaDirectionalAttenuation2Click(TObject *Sender);
  void __fastcall KerkytheaDirectionalAttenuation3Click(TObject *Sender);
  void __fastcall KerkytheaPointUpClick(TObject *Sender);
  void __fastcall KerkytheaPointAsSpotClick(TObject *Sender);
  void __fastcall KerkytheaPointAttenuation1Click(TObject *Sender);
  void __fastcall KerkytheaPointAttenuation2Click(TObject *Sender);
  void __fastcall KerkytheaPointAttenuation3Click(TObject *Sender);
  void __fastcall KerkytheaSpotAttenuation1Click(TObject *Sender);
  void __fastcall KerkytheaSpotAttenuation2Click(TObject *Sender);
  void __fastcall KerkytheaSpotAttenuation3Click(TObject *Sender);
  void __fastcall KerkytheaUseHotFractionClick(TObject *Sender);
  void __fastcall KerkytheaSpotReplaceClick(TObject *Sender);
  void __fastcall KerkytheaGetDataClick(TObject *Sender);
  void __fastcall KerkytheaSetDataClick(TObject *Sender);
  void __fastcall VrmlByChiefArchitectClick(TObject *Sender);
  void __fastcall KerkytheaUsePngAlphaMasksClick(TObject *Sender);
  void __fastcall VrmlTextNoClick(TObject *Sender);
  void __fastcall VrmlTextFlatClick(TObject *Sender);
  void __fastcall VrmlTextExtrudedClick(TObject *Sender);
  void __fastcall DxfTextNoClick(TObject *Sender);
  void __fastcall DxfTextFlatClick(TObject *Sender);
  void __fastcall DxfTextExtrudedClick(TObject *Sender);
  void __fastcall TextAsTextClick(TObject *Sender);
  void __fastcall KerkytheaDirectionalShadowClick(TObject *Sender);
  void __fastcall KerkytheaDirectionalSoftShadowClick(TObject *Sender);
  void __fastcall KerkytheaDirectionalNegativeClick(TObject *Sender);
  void __fastcall KerkytheaDirectionalGlobalPhotonsClick(TObject *Sender);
  void __fastcall KerkytheaDirectionalCausticPhotonsClick(TObject *Sender);
  void __fastcall KerkytheaPointShadowClick(TObject *Sender);
  void __fastcall KerkytheaPointSoftShadowClick(TObject *Sender);
  void __fastcall KerkytheaPointNegativeClick(TObject *Sender);
  void __fastcall KerkytheaPointGlobalPhotonsClick(TObject *Sender);
  void __fastcall KerkytheaPointCausticPhotonsClick(TObject *Sender);
  void __fastcall KerkytheaSpotShadowClick(TObject *Sender);
  void __fastcall KerkytheaSpotSoftShadowClick(TObject *Sender);
  void __fastcall KerkytheaSpotNegativeClick(TObject *Sender);
  void __fastcall KerkytheaSpotGlobalPhotonsClick(TObject *Sender);
  void __fastcall KerkytheaSpotCausticPhotonsClick(TObject *Sender);
  void __fastcall DisplayStageClick(TObject *Sender);
  void __fastcall StageUseOriginClick(TObject *Sender);
  void __fastcall StageUseSquaresClick(TObject *Sender);
  void __fastcall StageUseTextureClick(TObject *Sender);
  void __fastcall GetStageImageClick(TObject *Sender);
  void __fastcall ChangeStageClick(TObject *Sender);
  void __fastcall ReducePolygonsStartClick(TObject *Sender);
  void __fastcall ReducePolygonsSelectLayerClick(TObject *Sender);
  void __fastcall ReducePolygonsSetClick(TObject *Sender);
  void __fastcall ReducePolygonsDecreaseClick(TObject *Sender);
  void __fastcall ReducePolygonsIncreaseClick(TObject *Sender);
  void __fastcall ReducePolygonsOkayClick(TObject *Sender);
  void __fastcall ReducePolygonsCancelClick(TObject *Sender);
  void __fastcall DisplayBackgroundImageClick(TObject *Sender);
  void __fastcall SelectBackgroundImageClick(TObject *Sender);
  void __fastcall ReadAndRotateClick(TObject *Sender);
  void __fastcall BitmapTo3D_SkipDlgClick(TObject *Sender);
  void __fastcall BitmapTo3D_Decode0Click(TObject *Sender);
  void __fastcall BitmapTo3D_SaveOutlinesClick(TObject *Sender);
  void __fastcall BitmapTo3D_AddFacesClick(TObject *Sender);
  void __fastcall BitmapTo3D_ExtrudeClick(TObject *Sender);
  void __fastcall BitmapToDem_SkipDlgClick(TObject *Sender);
  void __fastcall BitmapToDem_SeaLevelClick(TObject *Sender);
  void __fastcall EditMakeBevelSetsClick(TObject *Sender);
  void __fastcall TextMakeBevelSetsClick(TObject *Sender);
  void __fastcall TextSelectLayerClick(TObject *Sender);
  void __fastcall ModoCameraSunlightClick(TObject *Sender);
  void __fastcall ModoHierarchyClick(TObject *Sender);
  void __fastcall ModoWithJointsClick(TObject *Sender);
  void __fastcall TextureSearchClick(TObject *Sender);
  void __fastcall GetOglSnapshotClick(TObject *Sender);
  void __fastcall RevolveCameraStartClick(TObject *Sender);
  void __fastcall DisplayOglDebugMsgsClick(TObject *Sender);
  void __fastcall ShowStatusbarClick(TObject *Sender);
  void __fastcall HideStatusbarClick(TObject *Sender);
  void __fastcall RevolveCameraStopClick(TObject *Sender);
  void __fastcall ReverseZoomDirectionClick(TObject *Sender);
  void __fastcall SelectFirstLayerClick(TObject *Sender);
  void __fastcall SelectNextLayerClick(TObject *Sender);
  void __fastcall GetOglGlobalAmbientClick(TObject *Sender);
  void __fastcall SetOglGlobalAmbientClick(TObject *Sender);
  void __fastcall OglLight0Click(TObject *Sender);
  void __fastcall OglLight1Click(TObject *Sender);
  void __fastcall OglLight2Click(TObject *Sender);
  void __fastcall OglLight3Click(TObject *Sender);
  void __fastcall OglLight4Click(TObject *Sender);
  void __fastcall OglLight5Click(TObject *Sender);
  void __fastcall OglLight6Click(TObject *Sender);
  void __fastcall OglLight7Click(TObject *Sender);
  void __fastcall SetOglLightClick(TObject *Sender);
  void __fastcall BitmapTo3D_JoinOutlinesClick(TObject *Sender);
  void __fastcall Convert3D_To_2DClick(TObject *Sender);
  void __fastcall KmlCopyLatitudeLongitudeClick(TObject *Sender);
  void __fastcall KmlGetDataForDllClick(TObject *Sender);
  void __fastcall KmlLookAtLatitudeSignClick(TObject *Sender);
  void __fastcall KmlLookAtLongitudeSignClick(TObject *Sender);
  void __fastcall KmlModelLatitudeSignClick(TObject *Sender);
  void __fastcall KmlModelLongitudeSignClick(TObject *Sender);
  void __fastcall KmlUseModelsFolderClick(TObject *Sender);
  void __fastcall KmlUseImagesFolderClick(TObject *Sender);
  void __fastcall KmlLookAtAltitudeModeChange(TObject *Sender);
  void __fastcall KmlModelAltitudeModeChange(TObject *Sender);
  void __fastcall ReversePanDirectionClick(TObject *Sender);
  void __fastcall GrabKeyboardFocusClick(TObject *Sender);
  void __fastcall RotateCameraSimulateStartClick(TObject *Sender);
  void __fastcall RotateCameraSimulateStopClick(TObject *Sender);
  void __fastcall AlwaysShowCameraCursorClick(TObject *Sender);
  void __fastcall TransferOutlines1Click(TObject *Sender);
  void __fastcall TransferOutlines2Click(TObject *Sender);
  void __fastcall TransferOutlines3Click(TObject *Sender);
  void __fastcall ShowDebugStopMessagesClick(TObject *Sender);
  void __fastcall OutputHierarchyClick(TObject *Sender);
  void __fastcall PauseAtOglSnapshotMsgClick(TObject *Sender);
  void __fastcall KmlGetDataFromDllClick(TObject *Sender);
  void __fastcall ColladaUpAxisXClick(TObject *Sender);
  void __fastcall ColladaUpAxisYClick(TObject *Sender);
  void __fastcall ColladaUpAxisZClick(TObject *Sender);
  void __fastcall MakeAllLayersOpaqueClick(TObject *Sender);
  void __fastcall SetWhiteForUvLayersClick(TObject *Sender);
  void __fastcall InvertAllLayerTransparenciesClick(TObject *Sender);
  void __fastcall CheckFixTransparenciesClick(TObject *Sender);
  void __fastcall KmzInputModelFactorsClick(TObject *Sender);
  void __fastcall AlwaysWriteColladaTransparencyClick(TObject *Sender);
  void __fastcall XyzDoubleZTypeClick(TObject *Sender);
  void __fastcall EditPickModeSwitchFirstClick(TObject *Sender);
  void __fastcall SetMayaVersionClick(TObject *Sender);
  void __fastcall UseDirectxFramePrefixClick(TObject *Sender);
  void __fastcall SetDirectxFramePrefixClick(TObject *Sender);
  void __fastcall UseDirectxMaterialPrefixClick(TObject *Sender);
  void __fastcall SetDirectxMaterialPrefixClick(TObject *Sender);
  void __fastcall TextOnCurveClick(TObject *Sender);
  void __fastcall TextOrigVertsClick(TObject *Sender);
  void __fastcall TextAllCharsClick(TObject *Sender);
  void __fastcall TextReverseOutlinesClick(TObject *Sender);
  void __fastcall ConvertUnicodeTextClick(TObject *Sender);
  void __fastcall TextPasteClick(TObject *Sender);
  void __fastcall VrmlMiterJointExtrusionClick(TObject *Sender);
  void __fastcall RenameEmbeddedTexturesClick(TObject *Sender);
  void __fastcall ReadDoStuffWriteClick(TObject *Sender);
  void __fastcall SetMin4ObjectClick(TObject *Sender);
  void __fastcall SetMin5ObjectClick(TObject *Sender);
  void __fastcall SetMin6ObjectClick(TObject *Sender);
  void __fastcall XamlPageClick(TObject *Sender);
  void __fastcall XamlViewport3DClick(TObject *Sender);
  void __fastcall VColorDivideClick(TObject *Sender);
  void __fastcall XyzOptions_NoneClick(TObject *Sender);
  void __fastcall XyzOptions_IDClick(TObject *Sender);
  void __fastcall XyzOptions_RGBClick(TObject *Sender);
  void __fastcall XyzOptions_SkipClick(TObject *Sender);
  void __fastcall XyzUseIdClick(TObject *Sender);
  void __fastcall XyzRgbIntegersClick(TObject *Sender);
  void __fastcall DxfAllLayersOnClick(TObject *Sender);
  void __fastcall TouchScreenInputClick(TObject *Sender);
  void __fastcall Extrude2D_InvertClick(TObject *Sender);
  void __fastcall Extrude2D_DropFacesClick(TObject *Sender);
private:	// User declarations
  void __fastcall Form_Setup(void);
  void __fastcall Start_DLL(void);
  void __fastcall Stop_DLL(void);
  void __fastcall DoConvertText(Int32 unicodeFlag);
  void __fastcall GetCameraStepAngle(void);
  void __fastcall GetCameraRotateSpeed(void);
  void __fastcall GetCameraStepFOV(void);
  void __fastcall GetCameraStepPan(void);
  void __fastcall GetEditXYZObject(void);
  void __fastcall GetEditRGB(void);
  void __fastcall SetEditRGB(void);
  void __fastcall GetEditTexture(void);
  void __fastcall SetEditTexture(void);
  void __fastcall GetDemClip(void);
  void __fastcall GetEditRotateStepAngle(void);
  void __fastcall GetEditScaleStepFactor(void);
  void __fastcall DisplayExtrudeBevelFlags(void);
  void __fastcall DisplayPickVertexMode(void);
  void __fastcall Extrude2D_Display_Layer_Settings(void);
  void __fastcall Extrude2D_Display_Mesh_Size(void);
  void __fastcall Extrude2D_Display_Rotations(void);
  void __fastcall Extrude2D_GetStepAngle(void);
  void __fastcall Extrude2D_Get_Thickness_Adjust(void);
  void __fastcall GetEditMoveVertexStep(void);
  void __fastcall Get_XYZ_Data(void);
  void __fastcall UpdateKerkytheaDisplay(void);
  void __fastcall ReducePolygonsDisplayData(void);
  void __fastcall ReducePolygonsGetVertices(void);
  void __fastcall ReducePolygonsGetStep(void);
  void __fastcall Get_BitmapTo3D_Data(void);
  void __fastcall Get_BitmapToLandscape_Data(void);
  void __fastcall GetOglLight(void);
  void __fastcall Update_KML_Page(void);
  void __fastcall Display_LookAt_Latitude_Longitude(void);
  void __fastcall Display_Model_Latitude_Longitude(void);
  void __fastcall Get_LookAt_Latitude_Longitude(void);
  void __fastcall Get_Model_Latitude_Longitude(void);
  void __fastcall Display_Latitude_Longitude_Signs(void);
  Int32 unused_W8057_Flag;
  float red;
  float green;
  float blue;
  HWND dllParentHwnd;
public:		// User declarations
  __fastcall TTest_At3dx_DllForm(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TTest_At3dx_DllForm *Test_At3dx_DllForm;
//---------------------------------------------------------------------------
#endif
