//----------------------------------------------------------------------------
//  Project Test_At3dx_LoadLibrary
//  MicroMouse Productions
//  Copyright  2005-2020. All Rights Reserved.
//  Author: Wayne Hogue
//
//---------------------------------------------------------------------------

#ifndef Test_At3dx_LoadLibraryAppH
#define Test_At3dx_LoadLibraryAppH
//---------------------------------------------------------------------------
#include <System.Classes.hpp>
#include <Vcl.Controls.hpp>
#include <Vcl.StdCtrls.hpp>
#include <Vcl.Forms.hpp>
#include <Vcl.ExtCtrls.hpp>
#include <Vcl.Buttons.hpp>
//---------------------------------------------------------------------------
class TTest_At3dx_LoadLibraryForm : public TForm
{
__published:	// IDE-managed Components
  TPanel *ViewPanel;
  TLabel *LibraryLabel;
  TLabel *DllLabel;
  TSpeedButton *DoLoadLibrary;
  TSpeedButton *DoFreeLibrary;
  TSpeedButton *DoStartDll;
  TSpeedButton *DoStopDll;
  TSpeedButton *ReadObjFile;
  TCheckBox *UseOpenGL;
  void __fastcall FormDestroy(TObject *Sender);
  void __fastcall DoLoadLibraryClick(TObject *Sender);
  void __fastcall DoStartDllClick(TObject *Sender);
  void __fastcall DoStopDllClick(TObject *Sender);
  void __fastcall DoFreeLibraryClick(TObject *Sender);
  void __fastcall ReadObjFileClick(TObject *Sender);
  void __fastcall UseOpenGLClick(TObject *Sender);
private:	// User declarations
  void __fastcall Form_Setup(void);
  void __fastcall Update_Labels(void);
  void __fastcall Start_Library(void);
  void __fastcall Stop_Library(void);
  void __fastcall Start_DLL(void);
  void __fastcall Stop_DLL(void);
  void __fastcall Read_3D_File(void);
  Int32 unused_W8057_Flag;
  Int32 dllOpen;
  Int32 fileLoaded;
  Int32 useOglFlag;
  HINSTANCE at3dLibHandle;
  char inName[MAX_PATH];
public:		// User declarations
  __fastcall TTest_At3dx_LoadLibraryForm(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TTest_At3dx_LoadLibraryForm *Test_At3dx_LoadLibraryForm;
//---------------------------------------------------------------------------
#endif
