//----------------------------------------------------------------------------
//  Project Test_At3dx_Viewer
//  MicroMouse Productions
//  Copyright  2010-2020. All Rights Reserved.
//  Author: Wayne Hogue
//
//---------------------------------------------------------------------------

#ifndef Test_At3dx_ViewerAppH
#define Test_At3dx_ViewerAppH
//---------------------------------------------------------------------------
#include <System.Classes.hpp>
#include <Vcl.Controls.hpp>
#include <Vcl.StdCtrls.hpp>
#include <Vcl.Forms.hpp>
#include <Vcl.ExtCtrls.hpp>
#include <Vcl.Buttons.hpp>
//---------------------------------------------------------------------------
class TTest_At3dx_ViewerForm : public TForm
{
__published:	// IDE-managed Components
  TPanel *ViewPanel;
  TSpeedButton *ReadObjFile;
  TCheckBox *UseTextures;
  TCheckBox *AlwaysShowCameraCursor;
  TCheckBox *ReversePan;
  TCheckBox *ReverseZoom;
  TCheckBox *TouchScreenInput;
  void __fastcall FormDestroy(TObject *Sender);
  void __fastcall ReadObjFileClick(TObject *Sender);
  void __fastcall UseTexturesClick(TObject *Sender);
  void __fastcall ReversePanClick(TObject *Sender);
  void __fastcall ReverseZoomClick(TObject *Sender);
  void __fastcall AlwaysShowCameraCursorClick(TObject *Sender);
  void __fastcall TouchScreenInputClick(TObject *Sender);
private:	// User declarations
  void __fastcall Form_Setup(void);
  void __fastcall Start_DLL(void);
  void __fastcall Stop_DLL(void);
  void __fastcall Read_3D_File(void);
  Int32 unused_W8057_Flag;
  int dllOpen;
  int fileLoaded;
  char inName[MAX_PATH];
  int useTexturesFlag;
  int reversePanFlag;
  int reverseZoomFlag;
  int alwaysShowCameraCursorFlag;
  int touchScreenInputFlag;
public:		// User declarations
  __fastcall TTest_At3dx_ViewerForm(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TTest_At3dx_ViewerForm *Test_At3dx_ViewerForm;
//---------------------------------------------------------------------------
#endif
